extensions / Commerce extension
POST
/api/projects/{project_id}/shopify/connect/startStart Connect
Begins the Shopify OAuth connection flow for a project and returns the authorization URL.
POST
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
Query Parameters
Request Body
Schema: StartShopifyConnectBody
| Field | Required | Type | Details |
|---|---|---|---|
store_domain | Yes | string | Description: Text value. |
return_to | No | string | Description: Text value. |
auto_import | No | boolean | Description: Boolean flag. |
api_version | No | string | Description: Text value. |
import_products | No | boolean | Description: Boolean flag. |
import_collections | No | boolean | Description: Boolean flag. |
import_orders | No | boolean | Description: Boolean flag. |
import_customers | No | boolean | Description: Boolean flag. |
import_pages | No | boolean | Description: Boolean flag. |
Response Body
Example 200 response
json
{
"auth_url": "string"
}Errors
400 BAD_REQUEST500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

